Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.menu
Class DateMenu

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.gwtext.client.widgets.menu.Menu
                  com.gwtext.client.widgets.menu.DateMenu

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener

    public class DateMenu

extends Menu

A menu containing a `DateItem` component (which provides a date picker).

Field Summary

Fields inherited from class com.gwtext.client.widgets.menu.Menu
`config, id, jsObj`

Constructor Summary
`DateMenu()` Create a new DateMenu.

Method Summary
`void` | `addListener(DateMenuListener listener)` Add a DateMenu listener.
`protected com.google.gwt.core.client.JavaScriptObject` | `create(com.google.gwt.core.client.JavaScriptObject menuConfig)`
`DateMenuListener` | `getDateMenuListener()` Return the DateMenu listener.
`DatePicker` | `getPicker()` The `DatePicker` instance for this DateMenu.
`void` | `setDateMenuListener(DateMenuListener dateMenuListener)` Set the DateMenu listener.

Methods inherited from class com.gwtext.client.widgets.menu.Menu
`addElement, addElement, addItem, addListener, addSeparator, addText, create, getComponent, getElement, getElement, getItem, getItems, getOrCreateJsObj, hide, hide, insert, isVisible, remove, removeAll, setAllowOtherMenus, setDefaultAlign, setId, setMinWidth, setShadow, setShadow, setSubMenuAlign, show, showAt, showAt, showAt`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`doAttachChildren, doDetachChildren, getParent, isAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent, setElement`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, removeStyleDependentName, removeStyleName, setHeight, setPixelSize, setSize, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DateMenu

    public DateMenu()

  Create a new DateMenu.

Method Detail

### create

    protected com.google.gwt.core.client.JavaScriptObject create(com.google.gwt.core.client.JavaScriptObject menuConfig)

  Overrides:
    `create` in class `Menu`

### getPicker

    public DatePicker getPicker()

  The `DatePicker` instance for this DateMenu.

  Returns:
    the DatePicker instance for this DateMenu

### addListener

    public void addListener(DateMenuListener listener)

  Add a DateMenu listener.

  Parameters:
    `listener` - the listener

### getDateMenuListener

    public DateMenuListener getDateMenuListener()

  Return the DateMenu listener.

  Returns:
    the listener

### setDateMenuListener

    public void setDateMenuListener(DateMenuListener dateMenuListener)

  Set the DateMenu listener.

  Parameters:
    `dateMenuListener` - the listener

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD